# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Noita Template

game: Noita
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Noita: 1.4.0 # Version of the world required for this yaml to work as expected.

Noita:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    # 
    # You can disable this or set it to give yourself a trap effect when another player dies in the in-game mod options.
    'false': 50
    'true': 0

  bad_effects:
    # Whether negative effects on the Noita world are added to the item pool.
    'false': 0
    'true': 50

  victory_condition:
    # Greed is to get to the bottom, beat the boss, and win the game.
    # Pure is to get 11 orbs, grab the sampo, and bring it to the mountain altar.
    # Peaceful is to get all 33 orbs, grab the sampo, and bring it to the mountain altar.
    # Orbs will be added to the randomizer pool based on which victory condition you chose.
    # The base game orbs will not count towards these victory conditions.
    greed_ending: 50
    pure_ending: 0
    peaceful_ending: 0

  path_option:
    # Choose where you would like Hidden Chest and Pedestal checks to be placed.
    # Main Path includes the main 7 biomes you typically go through to get to the final boss.
    # Side Path includes the Lukki Lair and Fungal Caverns. 9 biomes total.
    # Main World includes the full world (excluding parallel worlds). 15 biomes total.
    # Note: The Collapsed Mines have been combined into the Mines as the biome is tiny.
    main_path: 50
    side_path: 0
    main_world: 0

  hidden_chests:
    # Number of hidden chest checks added to the applicable biomes.
    # Note: The number of hidden chests that spawn per run in each biome varies.
    # You are expected do multiple runs to get all of your checks.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20

  pedestal_checks:
    # Number of checks that will spawn on pedestals in the applicable biomes.
    # Note: The number of pedestals that spawn per run in each biome varies.
    # You are expected do multiple runs to get all of your checks.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    6: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20

  orbs_as_checks:
    # Decides whether finding the orbs that naturally spawn in the world count as checks.
    # The Main Path option includes only the Floating Island and Abyss Orb Room orbs.
    # The Side Path option includes the Main Path, Magical Temple, Lukki Lair, and Lava Lake orbs.
    # The Main World option includes all 11 orbs.
    no_orbs: 50
    main_path: 0
    side_path: 0
    main_world: 0

  bosses_as_checks:
    # Makes bosses count as location checks. The boss only needs to die, you do not need the kill credit.
    # The Main Path option includes Gate Guardian, Suomuhauki, and Kolmisilmä.
    # The Side Path option includes the Main Path bosses, Sauvojen Tuntija, and Ylialkemisti.
    # The All Bosses option includes all 15 bosses.
    no_bosses: 50
    main_path: 0
    side_path: 0
    all_bosses: 0

  extra_orbs:
    # Add extra orbs to your item pool, to prevent you from needing to wait as long for the last orb you need for your victory condition.
    # Extra orbs received past your victory condition's amount will be received as hearts instead.
    # Can be turned on for the Greed Ending goal, but will only really make it harder.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10

  shop_price:
    # Reduce the costs of Archipelago items in shops.
    # By default, the price of Archipelago items matches the price of wands at that shop.
    full_price: 50
    25_percent_off: 0
    50_percent_off: 0
    75_percent_off: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
